From 450d8cdd72eba38fa081bdf194ab97482f2ce14d Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 26 2020 04:38:16 +0000
Subject: [PATCH 1571/2232] Add Slice dependency on type_traits for is_const, add_pointer


---

diff --git a/gen/src/builtin.rs b/gen/src/builtin.rs
index 621d88c..8e6744e 100644
--- a/gen/src/builtin.rs
+++ b/gen/src/builtin.rs
@@ -59,6 +59,7 @@ pub(super) fn write(out: &mut OutFile) {
     }
 
     if builtin.rust_slice {
+        include.type_traits = true;
         builtin.friend_impl = true;
     }
 

